public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/gamerlay:master commit in: games-emulation/mupen64plus-core/, games-emulation/mupen64plus-rsp-z64/, ...
@ 2011-10-08  8:02 Marcel Unbehaun
  0 siblings, 0 replies; 3+ messages in thread
From: Marcel Unbehaun @ 2011-10-08  8:02 UTC (permalink / raw
  To: gentoo-commits

commit:     f58452a660725446103a08baa19b5932ba4ab3f4
Author:     Marcel Unbehaun <marcel <AT> frostworx <DOT> de>
AuthorDate: Sat Oct  8 07:57:38 2011 +0000
Commit:     Marcel Unbehaun <frostworks <AT> gmx <DOT> de>
CommitDate: Sat Oct  8 07:57:38 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gamerlay.git;a=commit;h=f58452a6

[games-emulation/mupen64plus-audio-sdl]		Manifest
[games-emulation/mupen64plus-audio-sdl]		mupen64plus-audio-sdl-9999.ebuild
[games-emulation/mupen64plus-core]		Manifest
[games-emulation/mupen64plus-core]		files/mupen64plus-core-minizip.patch
[games-emulation/mupen64plus-core]		mupen64plus-core-9999.ebuild
[games-emulation/mupen64plus-input-sdl]		Manifest
[games-emulation/mupen64plus-input-sdl]		mupen64plus-input-sdl-9999.ebuild
[games-emulation/mupen64plus-rsp-hle]		Manifest
[games-emulation/mupen64plus-rsp-hle]		mupen64plus-rsp-hle-9999.ebuild
[games-emulation/mupen64plus-rsp-z64]		Manifest
[games-emulation/mupen64plus-rsp-z64]		mupen64plus-rsp-z64-9999.ebuild
[games-emulation/mupen64plus-ui-console]	Manifest
[games-emulation/mupen64plus-ui-console]	mupen64plus-ui-console-9999.ebuild
[games-emulation/mupen64plus-video-arachnoid]	Manifest
[games-emulation/mupen64plus-video-arachnoid]	mupen64plus-video-arachnoid-9999.ebuild
[games-emulation/mupen64plus-video-glide64]	Manifest
[games-emulation/mupen64plus-video-glide64]	mupen64plus-video-glide64-9999.ebuild
[games-emulation/mupen64plus-video-rice]	Manifest
[games-emulation/mupen64plus-video-rice]	mupen64plus-video-rice-9999.ebuild
[games-emulation/mupen64plus-video-z64]		Manifest
[games-emulation/mupen64plus-video-z64]		mupen64plus-video-z64-9999.ebuild
[games-emulation/mupen64plus]			Manifest
[games-emulation/mupen64plus]			mupen64plus-9999.ebuild  bgo 385297

---
 .../mupen64plus-audio-sdl-9999.ebuild              |   46 +++++++++++++++
 .../files/mupen64plus-core-minizip.patch           |   36 ++++++++++++
 .../mupen64plus-core/mupen64plus-core-9999.ebuild  |   61 ++++++++++++++++++++
 .../mupen64plus-input-sdl-9999.ebuild              |   43 ++++++++++++++
 .../mupen64plus-rsp-hle-9999.ebuild                |   43 ++++++++++++++
 .../mupen64plus-rsp-z64-9999.ebuild                |   44 ++++++++++++++
 .../mupen64plus-ui-console-9999.ebuild             |   46 +++++++++++++++
 .../mupen64plus-video-arachnoid-9999.ebuild        |   45 ++++++++++++++
 .../mupen64plus-video-glide64-9999.ebuild          |   45 ++++++++++++++
 .../mupen64plus-video-rice-9999.ebuild             |   47 +++++++++++++++
 .../mupen64plus-video-z64-9999.ebuild              |   46 +++++++++++++++
 .../mupen64plus/mupen64plus-9999.ebuild            |   34 +++++++++++
 12 files changed, 536 insertions(+), 0 deletions(-)

diff --git a/games-emulation/mupen64plus-audio-sdl/mupen64plus-audio-sdl-9999.ebuild b/games-emulation/mupen64plus-audio-sdl/mupen64plus-audio-sdl-9999.ebuild
new file mode 100644
index 0000000..eb8dc6f
--- /dev/null
+++ b/games-emulation/mupen64plus-audio-sdl/mupen64plus-audio-sdl-9999.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils games mercurial
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (audio-sdl)"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
+#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug libsamplerate pic"
+
+RDEPEND="games-emulation/mupen64plus-core
+	media-libs/libsdl
+	libsamplerate? ( media-libs/libsamplerate )"
+
+DEPEND="${RDEPEND}
+	dev-util/pkgconfig"
+
+OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
+
+src_compile() {
+	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
+	use pic && OPTS+=" PIC=1 PIE=1"
+	use libsamplerate || OPTS+=" NO_RESAMP=1"
+
+	emake -C "projects/unix" all $OPTS || die "make failed"
+}
+
+src_install() {
+	emake -C "projects/unix" install $OPTS || die "install failed"
+	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
+	[ -f "README" ] && newdoc "README" "README"
+
+	prepgamesdirs
+}
+
+pkg_postinst() {
+	games_pkg_postinst
+}

diff --git a/games-emulation/mupen64plus-core/files/mupen64plus-core-minizip.patch b/games-emulation/mupen64plus-core/files/mupen64plus-core-minizip.patch
new file mode 100644
index 0000000..de724ac
--- /dev/null
+++ b/games-emulation/mupen64plus-core/files/mupen64plus-core-minizip.patch
@@ -0,0 +1,36 @@
+diff -Naur mupen64plus-core/projects/unix/Makefile mupen64plus-core-p/projects/unix/Makefile
+--- mupen64plus-core/projects/unix/Makefile	2011-10-05 17:49:30.000000000 +0200
++++ mupen64plus-core-p/projects/unix/Makefile	2011-10-05 18:08:00.828940972 +0200
+@@ -92,7 +92,7 @@
+ OPTFLAGS ?= -O3
+ CFLAGS += $(OPTFLAGS) -Wall -ffast-math -fno-strict-aliasing -fvisibility=hidden -I../../src
+ CXXFLAGS += -fvisibility-inlines-hidden
+-LDLIBS +=  -lm
++LDLIBS +=  -lm -lminizip
+ 
+ # Since we are building a shared library, we must compile with -fPIC on some architectures
+ # On 32-bit x86 systems we do not want to use -fPIC because we don't have to and it has a big performance penalty on this arch
+@@ -285,9 +285,6 @@
+ 	$(SRCDIR)/main/ini_reader.c \
+ 	$(SRCDIR)/main/savestates.c \
+ 	$(SRCDIR)/main/adler32.c \
+-	$(SRCDIR)/main/zip/ioapi.c \
+-	$(SRCDIR)/main/zip/zip.c \
+-	$(SRCDIR)/main/zip/unzip.c \
+ 	$(SRCDIR)/memory/dma.c \
+ 	$(SRCDIR)/memory/flashram.c \
+ 	$(SRCDIR)/memory/memory.c \
+diff -Naur mupen64plus-core/src/main/savestates.c mupen64plus-core-p/src/main/savestates.c
+--- mupen64plus-core/src/main/savestates.c	2011-10-05 17:49:30.000000000 +0200
++++ mupen64plus-core-p/src/main/savestates.c	2011-10-05 18:07:35.117941286 +0200
+@@ -43,8 +43,8 @@
+ #include "osal/preproc.h"
+ #include "osd/osd.h"
+ 
+-#include "main/zip/unzip.h"
+-#include "main/zip/zip.h"
++#include "minizip/unzip.h"
++#include "minizip/zip.h"
+ 
+ static const char* savestate_magic = "M64+SAVE";
+ static const int savestate_version = 0x00010000;  /* 1.0 */

diff --git a/games-emulation/mupen64plus-core/mupen64plus-core-9999.ebuild b/games-emulation/mupen64plus-core/mupen64plus-core-9999.ebuild
new file mode 100644
index 0000000..5729fcd
--- /dev/null
+++ b/games-emulation/mupen64plus-core/mupen64plus-core-9999.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils games mercurial
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (core)"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
+#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}-norom.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug lirc pic profile"
+
+RDEPEND="virtual/opengl
+	virtual/glu
+	media-libs/freetype:2
+	media-libs/libpng
+	media-libs/libsdl
+	sys-libs/zlib[minizip]
+	lirc? ( app-misc/lirc )"
+
+DEPEND="${RDEPEND}
+	dev-util/pkgconfig"
+
+OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-minizip.patch #383845
+}
+
+src_compile() {
+	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
+	use lirc && OPTS+=" LIRC=1"
+	use pic && OPTS+=" PIC=1 PIE=1"
+	use profile && OPTS+=" PROFILE=1"
+
+	emake -C "projects/unix" all $OPTS || die "make failed"
+}
+
+src_install() {
+	emake -C "projects/unix" install $OPTS || die "install failed"
+	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
+	[ -f "README" ] && newdoc "README" "README"
+
+	prepgamesdirs
+}
+
+pkg_postinst() {
+	games_pkg_postinst
+
+	if use lirc; then
+		echo
+		elog "For lirc configuration see:"
+		elog "http://code.google.com/p/mupen64plus/wiki/LIRC"
+	fi
+}

diff --git a/games-emulation/mupen64plus-input-sdl/mupen64plus-input-sdl-9999.ebuild b/games-emulation/mupen64plus-input-sdl/mupen64plus-input-sdl-9999.ebuild
new file mode 100644
index 0000000..27e0812
--- /dev/null
+++ b/games-emulation/mupen64plus-input-sdl/mupen64plus-input-sdl-9999.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils games mercurial
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (input-sdl)"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
+#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug pic"
+
+RDEPEND="games-emulation/mupen64plus-core
+	media-libs/libsdl"
+
+DEPEND="${RDEPEND}"
+
+OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
+
+src_compile() {
+	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
+	use pic && OPTS+=" PIC=1 PIE=1"
+
+	emake -C "projects/unix" all $OPTS || die "make failed"
+}
+
+src_install() {
+	emake -C "projects/unix" install $OPTS || die "install failed"
+	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
+	[ -f "README" ] && newdoc "README" "README"
+
+	prepgamesdirs
+}
+
+pkg_postinst() {
+	games_pkg_postinst
+}

diff --git a/games-emulation/mupen64plus-rsp-hle/mupen64plus-rsp-hle-9999.ebuild b/games-emulation/mupen64plus-rsp-hle/mupen64plus-rsp-hle-9999.ebuild
new file mode 100644
index 0000000..b499110
--- /dev/null
+++ b/games-emulation/mupen64plus-rsp-hle/mupen64plus-rsp-hle-9999.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils games mercurial
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (rsp-hle)"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
+#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug pic"
+
+RDEPEND="games-emulation/mupen64plus-core
+	media-libs/libsdl"
+
+DEPEND="${RDEPEND}"
+
+OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
+
+src_compile() {
+	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
+	use pic && OPTS+=" PIC=1 PIE=1"
+
+	emake -C "projects/unix" all $OPTS || die "make failed"
+}
+
+src_install() {
+	emake -C "projects/unix" install $OPTS || die "install failed"
+	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
+	[ -f "README" ] && newdoc "README" "README"
+
+	prepgamesdirs
+}
+
+pkg_postinst() {
+	games_pkg_postinst
+}

diff --git a/games-emulation/mupen64plus-rsp-z64/mupen64plus-rsp-z64-9999.ebuild b/games-emulation/mupen64plus-rsp-z64/mupen64plus-rsp-z64-9999.ebuild
new file mode 100644
index 0000000..5732096
--- /dev/null
+++ b/games-emulation/mupen64plus-rsp-z64/mupen64plus-rsp-z64-9999.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils games mercurial
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (rsp-z64)"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
+#SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug pic"
+
+RDEPEND="games-emulation/mupen64plus-core"
+
+DEPEND="${RDEPEND}"
+
+OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
+
+src_compile() {
+	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
+	use pic && OPTS+=" PIC=1 PIE=1"
+
+	emake -C "projects/unix" all HLEVIDEO=0 $OPTS || die "make failed"
+	emake -C "projects/unix" all HLEVIDEO=1 $OPTS || die "make failed"
+}
+
+src_install() {
+	emake -C "projects/unix" install HLEVIDEO=0 $OPTS || die "install failed"
+	emake -C "projects/unix" install HLEVIDEO=1 $OPTS || die "install failed"
+	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
+	[ -f "README" ] && newdoc "README" "README"
+
+	prepgamesdirs
+}
+
+pkg_postinst() {
+	games_pkg_postinst
+}

diff --git a/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-9999.ebuild b/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-9999.ebuild
new file mode 100644
index 0000000..c58c4a5
--- /dev/null
+++ b/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-9999.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils games mercurial
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (ui-console)"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
+#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug pic"
+
+RDEPEND="games-emulation/mupen64plus-core
+	games-emulation/mupen64plus-audio-sdl
+	games-emulation/mupen64plus-input-sdl
+	games-emulation/mupen64plus-rsp-hle
+	games-emulation/mupen64plus-video-rice"
+
+DEPEND="${RDEPEND}"
+
+OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
+
+src_compile() {
+	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
+	use pic && OPTS+=" PIC=1 PIE=1"
+
+	emake -C "projects/unix" all $OPTS || die "make failed"
+}
+
+src_install() {
+	emake -C "projects/unix" install $OPTS || die "install failed"
+	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
+	[ -f "README" ] && newdoc "README" "README"
+
+	prepgamesdirs
+}
+
+pkg_postinst() {
+	games_pkg_postinst
+}

diff --git a/games-emulation/mupen64plus-video-arachnoid/mupen64plus-video-arachnoid-9999.ebuild b/games-emulation/mupen64plus-video-arachnoid/mupen64plus-video-arachnoid-9999.ebuild
new file mode 100644
index 0000000..923f9f2
--- /dev/null
+++ b/games-emulation/mupen64plus-video-arachnoid/mupen64plus-video-arachnoid-9999.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils games mercurial
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (video-arachnoid)"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
+#SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug pic"
+
+RDEPEND="games-emulation/mupen64plus-core
+	virtual/opengl
+	virtual/glu"
+
+DEPEND="${RDEPEND}
+	dev-util/pkgconfig"
+
+OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
+
+src_compile() {
+	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
+	use pic && OPTS+=" PIC=1 PIE=1"
+
+	emake -C "projects/unix" all $OPTS || die "make failed"
+}
+
+src_install() {
+	emake -C "projects/unix" install $OPTS || die "install failed"
+	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
+	[ -f "README" ] && newdoc "README" "README"
+
+	prepgamesdirs
+}
+
+pkg_postinst() {
+	games_pkg_postinst
+}

diff --git a/games-emulation/mupen64plus-video-glide64/mupen64plus-video-glide64-9999.ebuild b/games-emulation/mupen64plus-video-glide64/mupen64plus-video-glide64-9999.ebuild
new file mode 100644
index 0000000..3378e43
--- /dev/null
+++ b/games-emulation/mupen64plus-video-glide64/mupen64plus-video-glide64-9999.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils games mercurial
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (video-glide64)"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
+#SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug pic"
+
+RDEPEND="games-emulation/mupen64plus-core
+	virtual/opengl
+	media-libs/libsdl"
+
+DEPEND="${RDEPEND}
+	dev-util/pkgconfig"
+
+OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
+
+src_compile() {
+	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
+	use pic && OPTS+=" PIC=1 PIE=1"
+
+	emake -C "projects/unix" all $OPTS || die "make failed"
+}
+
+src_install() {
+	emake -C "projects/unix" install $OPTS || die "install failed"
+	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
+	[ -f "README" ] && newdoc "README" "README"
+
+	prepgamesdirs
+}
+
+pkg_postinst() {
+	games_pkg_postinst
+}

diff --git a/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-9999.ebuild b/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-9999.ebuild
new file mode 100644
index 0000000..f24fbb6
--- /dev/null
+++ b/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-9999.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils games mercurial
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (video-rice)"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
+#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug pic"
+
+RDEPEND="games-emulation/mupen64plus-core
+	media-libs/libpng
+	media-libs/libsdl
+	virtual/opengl"
+
+DEPEND="${RDEPEND}
+	dev-util/pkgconfig"
+
+OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
+
+src_compile() {
+	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
+	use pic && OPTS+=" PIC=1 PIE=1"
+	use libsamplerate || OPTS+=" NO_RESAMP=1"
+
+	emake -C "projects/unix" all $OPTS || die "make failed"
+}
+
+src_install() {
+	emake -C "projects/unix" install $OPTS || die "install failed"
+	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
+	[ -f "README" ] && newdoc "README" "README"
+
+	prepgamesdirs
+}
+
+pkg_postinst() {
+	games_pkg_postinst
+}

diff --git a/games-emulation/mupen64plus-video-z64/mupen64plus-video-z64-9999.ebuild b/games-emulation/mupen64plus-video-z64/mupen64plus-video-z64-9999.ebuild
new file mode 100644
index 0000000..ed24ddd
--- /dev/null
+++ b/games-emulation/mupen64plus-video-z64/mupen64plus-video-z64-9999.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils games mercurial
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (video-z64)"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
+#SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug pic"
+
+RDEPEND="games-emulation/mupen64plus-core
+	virtual/opengl
+	media-libs/glew
+	media-libs/libsdl"
+
+DEPEND="${RDEPEND}
+	dev-util/pkgconfig"
+
+OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
+
+src_compile() {
+	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
+	use pic && OPTS+=" PIC=1 PIE=1"
+
+	emake -C "projects/unix" all $OPTS || die "make failed"
+}
+
+src_install() {
+	emake -C "projects/unix" install $OPTS || die "install failed"
+	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
+	[ -f "README" ] && newdoc "README" "README"
+
+	prepgamesdirs
+}
+
+pkg_postinst() {
+	games_pkg_postinst
+}

diff --git a/games-emulation/mupen64plus/mupen64plus-9999.ebuild b/games-emulation/mupen64plus/mupen64plus-9999.ebuild
new file mode 100644
index 0000000..3ebe8c7
--- /dev/null
+++ b/games-emulation/mupen64plus/mupen64plus-9999.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator"
+HOMEPAGE="http://code.google.com/p/mupen64plus/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="plugins"
+
+RDEPEND="games-emulation/mupen64plus-ui-console
+	plugins? (
+		games-emulation/mupen64plus-rsp-z64
+		games-emulation/mupen64plus-video-arachnoid
+		games-emulation/mupen64plus-video-glide64
+		games-emulation/mupen64plus-video-z64
+	)"
+
+pkg_postinst() {
+	games_pkg_postinst
+
+	elog "As of 2.0, Mupen64Plus includes only a command line launcher."
+	elog "Run 'mupen64plus --help' for options."
+	echo
+	elog "If you would prefer to use a GUI frontend, see the following for options:"
+	elog "http://code.google.com/p/mupen64plus/wiki/ThirdPartyPlugins#Third-Party_Front-end_Applications"
+}



^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] proj/gamerlay:master commit in: games-emulation/mupen64plus-core/, games-emulation/mupen64plus-rsp-z64/, ...
@ 2011-10-28 13:59 Marcel Unbehaun
  0 siblings, 0 replies; 3+ messages in thread
From: Marcel Unbehaun @ 2011-10-28 13:59 UTC (permalink / raw
  To: gentoo-commits

commit:     85df011369e6edfc00b4835b947292a58ea0e37f
Author:     Marcel Unbehaun <marcel <AT> frostworx <DOT> de>
AuthorDate: Fri Oct 28 13:59:55 2011 +0000
Commit:     Marcel Unbehaun <frostworks <AT> gmx <DOT> de>
CommitDate: Fri Oct 28 13:59:55 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gamerlay.git;a=commit;h=85df0113

[games-emulation/mupen64plus]	updated mupen64plus-9999 + plugins

---
 .../mupen64plus-audio-sdl-9999.ebuild              |    2 +-
 .../mupen64plus-core/mupen64plus-core-9999.ebuild  |    4 ++--
 .../mupen64plus-input-sdl-9999.ebuild              |    2 +-
 .../mupen64plus-rsp-hle-9999.ebuild                |    2 +-
 .../mupen64plus-rsp-z64-9999.ebuild                |    2 +-
 .../mupen64plus-ui-console-9999.ebuild             |    2 +-
 .../mupen64plus-video-arachnoid-9999.ebuild        |    2 +-
 .../mupen64plus-video-glide64-9999.ebuild          |    2 +-
 .../mupen64plus-video-rice-9999.ebuild             |    2 +-
 .../mupen64plus-video-z64-9999.ebuild              |    2 +-
 .../mupen64plus/mupen64plus-9999.ebuild            |    2 +-
 11 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/games-emulation/mupen64plus-audio-sdl/mupen64plus-audio-sdl-9999.ebuild b/games-emulation/mupen64plus-audio-sdl/mupen64plus-audio-sdl-9999.ebuild
index eb8dc6f..d216ff8 100644
--- a/games-emulation/mupen64plus-audio-sdl/mupen64plus-audio-sdl-9999.ebuild
+++ b/games-emulation/mupen64plus-audio-sdl/mupen64plus-audio-sdl-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="2"
 
 inherit eutils games mercurial
 
-DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (audio-sdl)"
+DESCRIPTION="sdl audio output plugin for mupen64plus"
 HOMEPAGE="http://code.google.com/p/mupen64plus/"
 EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
 #SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"

diff --git a/games-emulation/mupen64plus-core/mupen64plus-core-9999.ebuild b/games-emulation/mupen64plus-core/mupen64plus-core-9999.ebuild
index 7645d58..83fb0b4 100644
--- a/games-emulation/mupen64plus-core/mupen64plus-core-9999.ebuild
+++ b/games-emulation/mupen64plus-core/mupen64plus-core-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="2"
 
 inherit eutils games mercurial
 
-DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (core)"
+DESCRIPTION="plugin-based Nintendo 64 emulator, core library"
 HOMEPAGE="http://code.google.com/p/mupen64plus/"
 EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
 #SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}-norom.tar.gz"
@@ -21,7 +21,7 @@ RDEPEND="virtual/opengl
 	media-libs/freetype:2
 	media-libs/libpng
 	media-libs/libsdl
-	sys-libs/zlib[minizip]
+	|| ( <sys-libs/zlib-1.2.5.1-r1 >=sys-libs/zlib-1.2.5.1-r2[minizip] )
 	lirc? ( app-misc/lirc )"
 
 DEPEND="${RDEPEND}

diff --git a/games-emulation/mupen64plus-input-sdl/mupen64plus-input-sdl-9999.ebuild b/games-emulation/mupen64plus-input-sdl/mupen64plus-input-sdl-9999.ebuild
index 27e0812..a4a76aa 100644
--- a/games-emulation/mupen64plus-input-sdl/mupen64plus-input-sdl-9999.ebuild
+++ b/games-emulation/mupen64plus-input-sdl/mupen64plus-input-sdl-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="2"
 
 inherit eutils games mercurial
 
-DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (input-sdl)"
+DESCRIPTION="sdl input device plugin for mupen64plus"
 HOMEPAGE="http://code.google.com/p/mupen64plus/"
 EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
 #SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"

diff --git a/games-emulation/mupen64plus-rsp-hle/mupen64plus-rsp-hle-9999.ebuild b/games-emulation/mupen64plus-rsp-hle/mupen64plus-rsp-hle-9999.ebuild
index b499110..38d8025 100644
--- a/games-emulation/mupen64plus-rsp-hle/mupen64plus-rsp-hle-9999.ebuild
+++ b/games-emulation/mupen64plus-rsp-hle/mupen64plus-rsp-hle-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="2"
 
 inherit eutils games mercurial
 
-DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (rsp-hle)"
+DESCRIPTION="high-level rsp emulation for mupen64plus"
 HOMEPAGE="http://code.google.com/p/mupen64plus/"
 EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
 #SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"

diff --git a/games-emulation/mupen64plus-rsp-z64/mupen64plus-rsp-z64-9999.ebuild b/games-emulation/mupen64plus-rsp-z64/mupen64plus-rsp-z64-9999.ebuild
index 5732096..83da145 100644
--- a/games-emulation/mupen64plus-rsp-z64/mupen64plus-rsp-z64-9999.ebuild
+++ b/games-emulation/mupen64plus-rsp-z64/mupen64plus-rsp-z64-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="2"
 
 inherit eutils games mercurial
 
-DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (rsp-z64)"
+DESCRIPTION="low-level rsp emulation for mupen64plus"
 HOMEPAGE="http://code.google.com/p/mupen64plus/"
 EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
 #SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"

diff --git a/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-9999.ebuild b/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-9999.ebuild
index c58c4a5..04214c4 100644
--- a/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-9999.ebuild
+++ b/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="2"
 
 inherit eutils games mercurial
 
-DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (ui-console)"
+DESCRIPTION="console frontend for mupen64plus"
 HOMEPAGE="http://code.google.com/p/mupen64plus/"
 EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
 #SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"

diff --git a/games-emulation/mupen64plus-video-arachnoid/mupen64plus-video-arachnoid-9999.ebuild b/games-emulation/mupen64plus-video-arachnoid/mupen64plus-video-arachnoid-9999.ebuild
index 923f9f2..924aeda 100644
--- a/games-emulation/mupen64plus-video-arachnoid/mupen64plus-video-arachnoid-9999.ebuild
+++ b/games-emulation/mupen64plus-video-arachnoid/mupen64plus-video-arachnoid-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="2"
 
 inherit eutils games mercurial
 
-DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (video-arachnoid)"
+DESCRIPTION="Arachnoid high-level graphics emulation for mupen64plus"
 HOMEPAGE="http://code.google.com/p/mupen64plus/"
 EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
 #SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"

diff --git a/games-emulation/mupen64plus-video-glide64/mupen64plus-video-glide64-9999.ebuild b/games-emulation/mupen64plus-video-glide64/mupen64plus-video-glide64-9999.ebuild
index 3378e43..0270e85 100644
--- a/games-emulation/mupen64plus-video-glide64/mupen64plus-video-glide64-9999.ebuild
+++ b/games-emulation/mupen64plus-video-glide64/mupen64plus-video-glide64-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="2"
 
 inherit eutils games mercurial
 
-DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (video-glide64)"
+DESCRIPTION="Glide64 high-level graphics emulation for mupen64plus"
 HOMEPAGE="http://code.google.com/p/mupen64plus/"
 EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
 #SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"

diff --git a/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-9999.ebuild b/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-9999.ebuild
index f24fbb6..76c17e7 100644
--- a/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-9999.ebuild
+++ b/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="2"
 
 inherit eutils games mercurial
 
-DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (video-rice)"
+DESCRIPTION="Rice's high-level graphics emulation for mupen64plus"
 HOMEPAGE="http://code.google.com/p/mupen64plus/"
 EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
 #SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"

diff --git a/games-emulation/mupen64plus-video-z64/mupen64plus-video-z64-9999.ebuild b/games-emulation/mupen64plus-video-z64/mupen64plus-video-z64-9999.ebuild
index ed24ddd..973e864 100644
--- a/games-emulation/mupen64plus-video-z64/mupen64plus-video-z64-9999.ebuild
+++ b/games-emulation/mupen64plus-video-z64/mupen64plus-video-z64-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="2"
 
 inherit eutils games mercurial
 
-DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator (video-z64)"
+DESCRIPTION="low-level rdp emulation for mupen64plus"
 HOMEPAGE="http://code.google.com/p/mupen64plus/"
 EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
 #SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"

diff --git a/games-emulation/mupen64plus/mupen64plus-9999.ebuild b/games-emulation/mupen64plus/mupen64plus-9999.ebuild
index 3ebe8c7..1f96400 100644
--- a/games-emulation/mupen64plus/mupen64plus-9999.ebuild
+++ b/games-emulation/mupen64plus/mupen64plus-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="2"
 
 inherit eutils
 
-DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator"
+DESCRIPTION="plugin-based Nintendo 64 emulator"
 HOMEPAGE="http://code.google.com/p/mupen64plus/"
 SRC_URI=""
 



^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] proj/gamerlay:master commit in: games-emulation/mupen64plus-core/, games-emulation/mupen64plus-rsp-z64/, ...
@ 2013-12-16  6:54 Marcel Unbehaun
  0 siblings, 0 replies; 3+ messages in thread
From: Marcel Unbehaun @ 2013-12-16  6:54 UTC (permalink / raw
  To: gentoo-commits

commit:     195d00261dd65559d9235598284f61e7ac032cb0
Author:     Marcel Unbehaun <marcel <AT> frostworx <DOT> de>
AuthorDate: Mon Dec 16 06:55:26 2013 +0000
Commit:     Marcel Unbehaun <frostworks <AT> gmx <DOT> de>
CommitDate: Mon Dec 16 06:55:26 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gamerlay.git;a=commit;h=195d0026

[games-emulation/mupen64plus]	dropped mupen64plus as 2.0 is in portage

---
 games-emulation/m64py/m64py-0.1.0.ebuild           | 29 -----------
 .../mupen64plus-audio-sdl-9999.ebuild              | 46 -----------------
 .../mupen64plus-core/mupen64plus-core-9999.ebuild  | 57 ----------------------
 .../mupen64plus-input-sdl-9999.ebuild              | 43 ----------------
 .../mupen64plus-rsp-hle-9999.ebuild                | 43 ----------------
 .../mupen64plus-rsp-z64-9999.ebuild                | 44 -----------------
 .../mupen64plus-ui-console-9999.ebuild             | 46 -----------------
 .../mupen64plus-video-arachnoid-9999.ebuild        | 45 -----------------
 .../mupen64plus-video-glide64-9999.ebuild          | 45 -----------------
 .../mupen64plus-video-rice-9999.ebuild             | 47 ------------------
 .../mupen64plus-video-z64-9999.ebuild              | 46 -----------------
 .../mupen64plus/mupen64plus-9999.ebuild            | 34 -------------
 12 files changed, 525 deletions(-)

diff --git a/games-emulation/m64py/m64py-0.1.0.ebuild b/games-emulation/m64py/m64py-0.1.0.ebuild
deleted file mode 100644
index 9cfaf38..0000000
--- a/games-emulation/m64py/m64py-0.1.0.ebuild
+++ /dev/null
@@ -1,29 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: Exp $
-
-EAPI=3
-
-PYTHON_DEPEND="2"
-SUPPORT_PYTHON_ABIS="1"
-RESTRICT_PYTHON_ABIS="3.*"
-
-inherit distutils
-
-DESCRIPTION="A frontend for Mupen64Plus"
-HOMEPAGE="http://m64py.sourceforge.net/"
-SRC_URI="mirror://sourceforge/m64py/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="7zip rar"
-
-RDEPEND="media-libs/libsdl
-	dev-python/PyQt4[opengl]
-	>=games-emulation/mupen64plus-1.99.5
-	7zip? ( || ( dev-python/pylzma app-arch/p7zip ) )
-	rar? ( || ( app-arch/unrar app-arch/rar ) )"
-
-DOCS="AUTHORS ChangeLog README"
-

diff --git a/games-emulation/mupen64plus-audio-sdl/mupen64plus-audio-sdl-9999.ebuild b/games-emulation/mupen64plus-audio-sdl/mupen64plus-audio-sdl-9999.ebuild
deleted file mode 100644
index d216ff8..0000000
--- a/games-emulation/mupen64plus-audio-sdl/mupen64plus-audio-sdl-9999.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils games mercurial
-
-DESCRIPTION="sdl audio output plugin for mupen64plus"
-HOMEPAGE="http://code.google.com/p/mupen64plus/"
-EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
-#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE="debug libsamplerate pic"
-
-RDEPEND="games-emulation/mupen64plus-core
-	media-libs/libsdl
-	libsamplerate? ( media-libs/libsamplerate )"
-
-DEPEND="${RDEPEND}
-	dev-util/pkgconfig"
-
-OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
-
-src_compile() {
-	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
-	use pic && OPTS+=" PIC=1 PIE=1"
-	use libsamplerate || OPTS+=" NO_RESAMP=1"
-
-	emake -C "projects/unix" all $OPTS || die "make failed"
-}
-
-src_install() {
-	emake -C "projects/unix" install $OPTS || die "install failed"
-	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
-	[ -f "README" ] && newdoc "README" "README"
-
-	prepgamesdirs
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-}

diff --git a/games-emulation/mupen64plus-core/mupen64plus-core-9999.ebuild b/games-emulation/mupen64plus-core/mupen64plus-core-9999.ebuild
deleted file mode 100644
index 83fb0b4..0000000
--- a/games-emulation/mupen64plus-core/mupen64plus-core-9999.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils games mercurial
-
-DESCRIPTION="plugin-based Nintendo 64 emulator, core library"
-HOMEPAGE="http://code.google.com/p/mupen64plus/"
-EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
-#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}-norom.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE="debug lirc pic profile"
-
-RDEPEND="virtual/opengl
-	virtual/glu
-	media-libs/freetype:2
-	media-libs/libpng
-	media-libs/libsdl
-	|| ( <sys-libs/zlib-1.2.5.1-r1 >=sys-libs/zlib-1.2.5.1-r2[minizip] )
-	lirc? ( app-misc/lirc )"
-
-DEPEND="${RDEPEND}
-	dev-util/pkgconfig"
-
-OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
-
-src_compile() {
-	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
-	use lirc && OPTS+=" LIRC=1"
-	use pic && OPTS+=" PIC=1 PIE=1"
-	use profile && OPTS+=" PROFILE=1"
-
-	emake -C "projects/unix" all $OPTS || die "make failed"
-}
-
-src_install() {
-	emake -C "projects/unix" install $OPTS || die "install failed"
-	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
-	[ -f "README" ] && newdoc "README" "README"
-
-	prepgamesdirs
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-
-	if use lirc; then
-		echo
-		elog "For lirc configuration see:"
-		elog "http://code.google.com/p/mupen64plus/wiki/LIRC"
-	fi
-}

diff --git a/games-emulation/mupen64plus-input-sdl/mupen64plus-input-sdl-9999.ebuild b/games-emulation/mupen64plus-input-sdl/mupen64plus-input-sdl-9999.ebuild
deleted file mode 100644
index a4a76aa..0000000
--- a/games-emulation/mupen64plus-input-sdl/mupen64plus-input-sdl-9999.ebuild
+++ /dev/null
@@ -1,43 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils games mercurial
-
-DESCRIPTION="sdl input device plugin for mupen64plus"
-HOMEPAGE="http://code.google.com/p/mupen64plus/"
-EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
-#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE="debug pic"
-
-RDEPEND="games-emulation/mupen64plus-core
-	media-libs/libsdl"
-
-DEPEND="${RDEPEND}"
-
-OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
-
-src_compile() {
-	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
-	use pic && OPTS+=" PIC=1 PIE=1"
-
-	emake -C "projects/unix" all $OPTS || die "make failed"
-}
-
-src_install() {
-	emake -C "projects/unix" install $OPTS || die "install failed"
-	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
-	[ -f "README" ] && newdoc "README" "README"
-
-	prepgamesdirs
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-}

diff --git a/games-emulation/mupen64plus-rsp-hle/mupen64plus-rsp-hle-9999.ebuild b/games-emulation/mupen64plus-rsp-hle/mupen64plus-rsp-hle-9999.ebuild
deleted file mode 100644
index 38d8025..0000000
--- a/games-emulation/mupen64plus-rsp-hle/mupen64plus-rsp-hle-9999.ebuild
+++ /dev/null
@@ -1,43 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils games mercurial
-
-DESCRIPTION="high-level rsp emulation for mupen64plus"
-HOMEPAGE="http://code.google.com/p/mupen64plus/"
-EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
-#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE="debug pic"
-
-RDEPEND="games-emulation/mupen64plus-core
-	media-libs/libsdl"
-
-DEPEND="${RDEPEND}"
-
-OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
-
-src_compile() {
-	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
-	use pic && OPTS+=" PIC=1 PIE=1"
-
-	emake -C "projects/unix" all $OPTS || die "make failed"
-}
-
-src_install() {
-	emake -C "projects/unix" install $OPTS || die "install failed"
-	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
-	[ -f "README" ] && newdoc "README" "README"
-
-	prepgamesdirs
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-}

diff --git a/games-emulation/mupen64plus-rsp-z64/mupen64plus-rsp-z64-9999.ebuild b/games-emulation/mupen64plus-rsp-z64/mupen64plus-rsp-z64-9999.ebuild
deleted file mode 100644
index 83da145..0000000
--- a/games-emulation/mupen64plus-rsp-z64/mupen64plus-rsp-z64-9999.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils games mercurial
-
-DESCRIPTION="low-level rsp emulation for mupen64plus"
-HOMEPAGE="http://code.google.com/p/mupen64plus/"
-EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
-#SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE="debug pic"
-
-RDEPEND="games-emulation/mupen64plus-core"
-
-DEPEND="${RDEPEND}"
-
-OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
-
-src_compile() {
-	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
-	use pic && OPTS+=" PIC=1 PIE=1"
-
-	emake -C "projects/unix" all HLEVIDEO=0 $OPTS || die "make failed"
-	emake -C "projects/unix" all HLEVIDEO=1 $OPTS || die "make failed"
-}
-
-src_install() {
-	emake -C "projects/unix" install HLEVIDEO=0 $OPTS || die "install failed"
-	emake -C "projects/unix" install HLEVIDEO=1 $OPTS || die "install failed"
-	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
-	[ -f "README" ] && newdoc "README" "README"
-
-	prepgamesdirs
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-}

diff --git a/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-9999.ebuild b/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-9999.ebuild
deleted file mode 100644
index 04214c4..0000000
--- a/games-emulation/mupen64plus-ui-console/mupen64plus-ui-console-9999.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils games mercurial
-
-DESCRIPTION="console frontend for mupen64plus"
-HOMEPAGE="http://code.google.com/p/mupen64plus/"
-EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
-#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE="debug pic"
-
-RDEPEND="games-emulation/mupen64plus-core
-	games-emulation/mupen64plus-audio-sdl
-	games-emulation/mupen64plus-input-sdl
-	games-emulation/mupen64plus-rsp-hle
-	games-emulation/mupen64plus-video-rice"
-
-DEPEND="${RDEPEND}"
-
-OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
-
-src_compile() {
-	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
-	use pic && OPTS+=" PIC=1 PIE=1"
-
-	emake -C "projects/unix" all $OPTS || die "make failed"
-}
-
-src_install() {
-	emake -C "projects/unix" install $OPTS || die "install failed"
-	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
-	[ -f "README" ] && newdoc "README" "README"
-
-	prepgamesdirs
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-}

diff --git a/games-emulation/mupen64plus-video-arachnoid/mupen64plus-video-arachnoid-9999.ebuild b/games-emulation/mupen64plus-video-arachnoid/mupen64plus-video-arachnoid-9999.ebuild
deleted file mode 100644
index 924aeda..0000000
--- a/games-emulation/mupen64plus-video-arachnoid/mupen64plus-video-arachnoid-9999.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils games mercurial
-
-DESCRIPTION="Arachnoid high-level graphics emulation for mupen64plus"
-HOMEPAGE="http://code.google.com/p/mupen64plus/"
-EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
-#SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE="debug pic"
-
-RDEPEND="games-emulation/mupen64plus-core
-	virtual/opengl
-	virtual/glu"
-
-DEPEND="${RDEPEND}
-	dev-util/pkgconfig"
-
-OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
-
-src_compile() {
-	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
-	use pic && OPTS+=" PIC=1 PIE=1"
-
-	emake -C "projects/unix" all $OPTS || die "make failed"
-}
-
-src_install() {
-	emake -C "projects/unix" install $OPTS || die "install failed"
-	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
-	[ -f "README" ] && newdoc "README" "README"
-
-	prepgamesdirs
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-}

diff --git a/games-emulation/mupen64plus-video-glide64/mupen64plus-video-glide64-9999.ebuild b/games-emulation/mupen64plus-video-glide64/mupen64plus-video-glide64-9999.ebuild
deleted file mode 100644
index 0270e85..0000000
--- a/games-emulation/mupen64plus-video-glide64/mupen64plus-video-glide64-9999.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils games mercurial
-
-DESCRIPTION="Glide64 high-level graphics emulation for mupen64plus"
-HOMEPAGE="http://code.google.com/p/mupen64plus/"
-EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
-#SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE="debug pic"
-
-RDEPEND="games-emulation/mupen64plus-core
-	virtual/opengl
-	media-libs/libsdl"
-
-DEPEND="${RDEPEND}
-	dev-util/pkgconfig"
-
-OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
-
-src_compile() {
-	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
-	use pic && OPTS+=" PIC=1 PIE=1"
-
-	emake -C "projects/unix" all $OPTS || die "make failed"
-}
-
-src_install() {
-	emake -C "projects/unix" install $OPTS || die "install failed"
-	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
-	[ -f "README" ] && newdoc "README" "README"
-
-	prepgamesdirs
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-}

diff --git a/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-9999.ebuild b/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-9999.ebuild
deleted file mode 100644
index 76c17e7..0000000
--- a/games-emulation/mupen64plus-video-rice/mupen64plus-video-rice-9999.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils games mercurial
-
-DESCRIPTION="Rice's high-level graphics emulation for mupen64plus"
-HOMEPAGE="http://code.google.com/p/mupen64plus/"
-EHG_REPO_URI="https://bitbucket.org/richard42/${PN}"
-#SRC_URI="https://bitbucket.org/richard42/${PN}/downloads/${PN}-src-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE="debug pic"
-
-RDEPEND="games-emulation/mupen64plus-core
-	media-libs/libpng
-	media-libs/libsdl
-	virtual/opengl"
-
-DEPEND="${RDEPEND}
-	dev-util/pkgconfig"
-
-OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
-
-src_compile() {
-	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
-	use pic && OPTS+=" PIC=1 PIE=1"
-	use libsamplerate || OPTS+=" NO_RESAMP=1"
-
-	emake -C "projects/unix" all $OPTS || die "make failed"
-}
-
-src_install() {
-	emake -C "projects/unix" install $OPTS || die "install failed"
-	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
-	[ -f "README" ] && newdoc "README" "README"
-
-	prepgamesdirs
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-}

diff --git a/games-emulation/mupen64plus-video-z64/mupen64plus-video-z64-9999.ebuild b/games-emulation/mupen64plus-video-z64/mupen64plus-video-z64-9999.ebuild
deleted file mode 100644
index 973e864..0000000
--- a/games-emulation/mupen64plus-video-z64/mupen64plus-video-z64-9999.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils games mercurial
-
-DESCRIPTION="low-level rdp emulation for mupen64plus"
-HOMEPAGE="http://code.google.com/p/mupen64plus/"
-EHG_REPO_URI="https://bitbucket.org/wahrhaft/${PN}"
-#SRC_URI="https://bitbucket.org/wahrhaft/${PN}/downloads/${PN}-src-${PV}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE="debug pic"
-
-RDEPEND="games-emulation/mupen64plus-core
-	virtual/opengl
-	media-libs/glew
-	media-libs/libsdl"
-
-DEPEND="${RDEPEND}
-	dev-util/pkgconfig"
-
-OPTS="V=1 PREFIX=${GAMES_PREFIX} LIBDIR=$(games_get_libdir) BINDIR=${GAMES_BINDIR} APIDIR=/usr/include/mupen64plus/ INCDIR=/usr/include/mupen64plus/ SHAREDIR=${GAMES_DATADIR} DESTDIR=${D} COREDIR=$(games_get_libdir)/ PLUGINDIR=$(games_get_libdir)/mupen64plus/ MANDIR=/usr/share/man V=1 OPTFLAGS= INSTALL_STRIP_FLAG="
-
-src_compile() {
-	use debug && OPTS+=" DEBUG=1 DEBUGGER=1 PLUGINDBG=1"
-	use pic && OPTS+=" PIC=1 PIE=1"
-
-	emake -C "projects/unix" all $OPTS || die "make failed"
-}
-
-src_install() {
-	emake -C "projects/unix" install $OPTS || die "install failed"
-	[ -f "RELEASE" ] && newdoc "RELEASE" "RELEASE"
-	[ -f "README" ] && newdoc "README" "README"
-
-	prepgamesdirs
-}
-
-pkg_postinst() {
-	games_pkg_postinst
-}

diff --git a/games-emulation/mupen64plus/mupen64plus-9999.ebuild b/games-emulation/mupen64plus/mupen64plus-9999.ebuild
deleted file mode 100644
index 1f96400..0000000
--- a/games-emulation/mupen64plus/mupen64plus-9999.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit eutils
-
-DESCRIPTION="plugin-based Nintendo 64 emulator"
-HOMEPAGE="http://code.google.com/p/mupen64plus/"
-SRC_URI=""
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE="plugins"
-
-RDEPEND="games-emulation/mupen64plus-ui-console
-	plugins? (
-		games-emulation/mupen64plus-rsp-z64
-		games-emulation/mupen64plus-video-arachnoid
-		games-emulation/mupen64plus-video-glide64
-		games-emulation/mupen64plus-video-z64
-	)"
-
-pkg_postinst() {
-	games_pkg_postinst
-
-	elog "As of 2.0, Mupen64Plus includes only a command line launcher."
-	elog "Run 'mupen64plus --help' for options."
-	echo
-	elog "If you would prefer to use a GUI frontend, see the following for options:"
-	elog "http://code.google.com/p/mupen64plus/wiki/ThirdPartyPlugins#Third-Party_Front-end_Applications"
-}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2013-12-16  6:54 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-12-16  6:54 [gentoo-commits] proj/gamerlay:master commit in: games-emulation/mupen64plus-core/, games-emulation/mupen64plus-rsp-z64/, Marcel Unbehaun
  -- strict thread matches above, loose matches on Subject: below --
2011-10-28 13:59 Marcel Unbehaun
2011-10-08  8:02 Marcel Unbehaun

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox